Subject: bug#57972: 29.0.50; Autoloaded function raises (void-function org-element-cache-reset) when called within major-mode body

From: Ihor Radchenko <[email-masked]>
Date: Wed, 21 Sep 2022 22:10:24 +0800

> > I cannot reproduce on stable branch either. Only on main.
>
> Then why do you think this is a problem in the core?
>

As I said in my first message, I either misunderstand something about
autoload or it is some kind of
Emacs bug.

Note that doing emacs -Q -l /tmp/bug.el vs emacs -Q /tmp/bug.el +
eval-buffer yields different results.
I cannot possibly see how it can be anything to do with Org and I have no
clue how to approach debugging this.

Best,
Ihor